Debian Bug report logs - #689621
libgpg-error: autoconf update for arm64 building

version graph

Package: libgpg-error; Maintainer for libgpg-error is Jose Carlos Garcia Sogo <jsogo@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 15:21:01 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 1.10

Fixed in version libgpg-error/1.12-0.1

Done: Daniel Leidert <dleidert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, marcus@g10code.com, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#689621; Package libgpg-error. (Thu, 04 Oct 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to marcus@g10code.com, Jose Carlos Garcia Sogo <jsogo@debian.org>. (Thu, 04 Oct 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgpg-error: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 16:19:23 +0100
[Message part 1 (text/plain, inline)]
Package: libgpg-error
Version: 1.10
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream (I hope I have CC:ed the right
person in this report)

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libgpg-error-1.10-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Daniel Leidert <dleidert@debian.org>:
You have taken responsibility. (Thu, 22 Aug 2013 21:36:08 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Thu, 22 Aug 2013 21:36:08 GMT) Full text and rfc822 format available.

Message #10 received at 689621-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert <dleidert@debian.org>
To: 689621-close@bugs.debian.org
Subject: Bug#689621: fixed in libgpg-error 1.12-0.1
Date: Thu, 22 Aug 2013 21:33:07 +0000
Source: libgpg-error
Source-Version: 1.12-0.1

We believe that the bug you reported is fixed in the latest version of
libgpg-error, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689621@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert <dleidert@debian.org> (supplier of updated libgpg-error package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Aug 2013 22:49:55 +0200
Source: libgpg-error
Binary: libgpg-error-dev libgpg-error0 libgpg-error0-udeb
Architecture: source amd64
Version: 1.12-0.1
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Changed-By: Daniel Leidert <dleidert@debian.org>
Description: 
 libgpg-error-dev - library for common error values and messages in GnuPG components
 libgpg-error0 - library for common error values and messages in GnuPG components
 libgpg-error0-udeb - library for common error values and messages in GnuPG components (udeb)
Closes: 689604 689621 711995
Changes: 
 libgpg-error (1.12-0.1) unstable; urgency=low
 .
   * NMU
   * New upstream release (closes: #711995).
   * debian/clean, debian/*.dirs: Removed unused file.
   * debian/control: Added generic Vcs-Browser and Vcs-Svn.
     (Standards-Version): Bumped to 3.9.4.
     (Build-Depends): Added versioned autotools-dev (closes: #689621).
   * debian/copyright: Updated.
   * debian/docs, debian/libgpg-error0.docs: Removed. Installed files via
     debian/rules.
   * debian/libgpg-error0.install.in: Renamed to debian/libgpg-error0.install
     and dropped sed stuff.
   * debian/libgpg-error0.symbols: Added.
   * debian/libgpg-error-dev.links.in: Put into debian/rules.
   * debian/rules: Rewritten for dh 7+. Enabled hardening. Dropped linking.
   * debian/watch: Minor update.
   * debian/patches/: Removed patches and dpatch leftovers (closes: #689604).
   * debian/patches/l10n_update.patch: Dropped (shipped with new release).
   * debian/patches/series: Emptied.
Checksums-Sha1: 
 88ed6dde68d1258e8d9d16fd768fd4872a928218 1485 libgpg-error_1.12-0.1.dsc
 259f359cd1440b21840c3a78e852afd549c709b8 489266 libgpg-error_1.12.orig.tar.bz2
 9524a7adbce65487ba7809877e2481fa9ca63077 6013 libgpg-error_1.12-0.1.debian.tar.gz
 2c3d74486a8f917f6fbddf528a4d92881748d30b 28026 libgpg-error-dev_1.12-0.1_amd64.deb
 5bd3272ff80e68fbb1154e3e60caba65dbf5f9d8 56388 libgpg-error0_1.12-0.1_amd64.deb
 a9f419e943c370df6735d06d3dfa0ca809b97b78 6050 libgpg-error0-udeb_1.12-0.1_amd64.udeb
Checksums-Sha256: 
 00de6b50f5cb1dba4182053c2d1e59cb12d889ecde7f0c86a1567ec2c332ded8 1485 libgpg-error_1.12-0.1.dsc
 cafc9ed6a87c53a35175d5a1220a96ca386696eef2fa059cc0306211f246e55f 489266 libgpg-error_1.12.orig.tar.bz2
 c10c871eec166eae5437c4204cab7e9390e49ebba04a35561585431bf4fd3c60 6013 libgpg-error_1.12-0.1.debian.tar.gz
 e03c59d3eeb0fe83a6e899136a2d350c3f940c90d6780446ed53f8a81e767818 28026 libgpg-error-dev_1.12-0.1_amd64.deb
 fe496dc91b6ddbe8cc489a311dc14b6ed15ab091b823eb2d4cd9e11e08d67126 56388 libgpg-error0_1.12-0.1_amd64.deb
 21a000fdb112a0a610758ed5982e10b11d8279dc7c7ffa312f362e45f62c1d0a 6050 libgpg-error0-udeb_1.12-0.1_amd64.udeb
Files: 
 e489e335f541ed0052a0355d4fcf8bd6 1485 libs standard libgpg-error_1.12-0.1.dsc
 8f0eb41a344d19ac2aa9bd101dfb9ce6 489266 libs standard libgpg-error_1.12.orig.tar.bz2
 e4d73639fc0f598bc44e46aed194c643 6013 libs standard libgpg-error_1.12-0.1.debian.tar.gz
 0a14f0f43c5fac8dfd724610cfd455b0 28026 libdevel optional libgpg-error-dev_1.12-0.1_amd64.deb
 114ece3c8af4a4047a12499906049b47 56388 libs standard libgpg-error0_1.12-0.1_amd64.deb
 4c1bc58eb544983d38c1f798ae715372 6050 debian-installer optional libgpg-error0-udeb_1.12-0.1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIJTT8ACgkQm0bx+wiPa4xmngCfYp+iot/o5Rgya3amqaXQ4tlD
MFQAoNYcGQ7YgC/XUNWSi2ydownXVdjy
=Zsy9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Oct 2013 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:02:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.